[ubuntu-jp:5786] Re: 14.04.5 LTS -> 16.04 LTSへのupgrade失敗

tk tk @ sawada-co.tk
2017年 4月 11日 (火) 11:41:18 UTC


沢田と申します。

すいません、自己レスとなります。

再度実施したところ、以下となりました。

====
変更点を確認中

変更点を確認中

アップグレード作業を見積もれません

アップグレードの計算中に修復不可能な問題が発生しました。

以下のことが原因の可能性があります:
* リリース前のバージョンのUbuntuにアップグレードしている
* リリース前のバージョンのUbuntuを実行している
* Ubuntu以外から提供されている非公式パッケージ
====

なので、先のは、
> ミラーに過大な負荷がかかっていた場合は、
と言うことかもしれません。

上記、エラーは以前もトライした時にでていて、未解決のものでした。

> Ubuntu以外から提供されている非公式パッケージ
ということなのだと思いますが、
どのパッケージかを特定する方法はありますでしょうか?

以上です。

 On Tue, 11 Apr 2017 20:26:19 +0900 (JST) 
 Subject: 14.04.5 LTS -> 16.04 LTSへのupgrade失敗 
 tk <tk @ sawada-co.tk> Wrote:

> 沢田ともうします。
> 
> 以下に件について、ご助言あればお願いします。
> 
> 14.04.5 LTS(32bit)の古いマシンがあるのですが、
> 9.10 -> 10.4 LTS -> 12.4 LTS -> 14.4 LTS と upgrade してきています。
> 16.4 LTSへ、upgrade したいのですが、
> 以下で異常終了してしまいます。
> 何か、対処方法 or 確認事項があればアドバイス願います。
> 
> ====
> パッケージマネージャーをチェック中です
> パッケージリストを読み込んでいます... 完了
> 依存関係ツリーを作成しています
> 状態情報を読み取っています... 完了
> データ構造を構築しています... 完了
> 
> 利用できないパッケージ情報です
> 
> パッケージ情報の更新後、必要なパッケージ 'ubuntu-minimal'
> の場所を特定できませんでした。原因は、ソフトウェア・ソースにリストされ
> ている公式のミラーを使っていないか、あるいは使用中のミラーに過大な負荷
> がかかったためと考えられます。現在設定されているソフトウェア・ソースの
> リストについては
> /etc/apt/sources.list を参照して下さい。
> ミラーに過大な負荷がかかっていた場合は、後でもう一度アップグレードする
> 必要があるかもしれません。
> 
> 
> システムを元に戻しています
> 
> 中断します
>   ッケージリストを読み込んでいます... 6%
> *** 問題の情報を集めています
> 
> 収集された情報はアプリケーションを改善するために開発者へ送られます。
> しばらくお待ちください。
> パッケージリストを読み込んでいます... 完了
> 依存関係ツリーを作成しています
> 状態情報を読み取っています... 完了
> データ構造を構築しています... 完了
> 
> ====
> 
> 
> 
> その他情報
> ======
> % apt-cache show ubuntu-minimal
> Package: ubuntu-minimal
> Priority: important
> Section: metapackages
> Installed-Size: 60
> Maintainer: Ubuntu Developers <ubuntu-devel-discuss @ lists.ubuntu.com>
> Architecture: i386
> Source: ubuntu-meta
> Version: 1.325
> Depends: adduser, apt, apt-utils, bzip2, console-setup, debconf, debconf-i18n, eject, gnupg, ifupdown, initramfs-tools, iproute2, iputils-ping, isc-dhcp-client, kbd, kmod, less, locales, lsb-release, makedev, mawk, net-tools, netbase, netcat-openbsd, ntpdate, passwd, procps, python3, resolvconf, rsyslog, sudo, tzdata, ubuntu-keyring, udev, upstart, ureadahead, vim-tiny, whiptail
> Filename: pool/main/u/ubuntu-meta/ubuntu-minimal_1.325_i386.deb
> Size: 2636
> MD5sum: e4fe7bd9bbb784791de2e06aeb5b186f
> SHA1: 26e1530ca29867416df3cd94f385c09ae85b8525
> SHA256: b6bad4ca14405bbbc3fd15d5cbe388d2deda91de0dffbfc8a05f22254f37ae70
> Description-en: Minimal core of Ubuntu
>  This package depends on all of the packages in the Ubuntu minimal system,
>  that is a functional command-line system with the following capabilities:
>  .
>   - Boot
>   - Detect hardware
>   - Connect to a network
>   - Install packages
>   - Perform basic diagnostics
>  .
>  It is also used to help ensure proper upgrades, so it is recommended that
>  it not be removed.
> Description-md5: 790932f14543314e43c3705a3451df24
> Bugs: https://bugs.launchpad.net/ubuntu/+filebug
> Origin: Ubuntu
> Supported: 5y
> Task: minimal
> 
> % grep -v "^#"  /etc/apt/sources.list
> deb http://jp.archive.ubuntu.com/ubuntu/ trusty main restricted
> deb-src http://jp.archive.ubuntu.com/ubuntu/ trusty main restricted
> 
> deb http://jp.archive.ubuntu.com/ubuntu/ trusty-updates main restricted
> deb-src http://jp.archive.ubuntu.com/ubuntu/ trusty-updates main restricted
> 
> deb http://jp.archive.ubuntu.com/ubuntu/ trusty universe
> deb-src http://jp.archive.ubuntu.com/ubuntu/ trusty universe
> deb http://jp.archive.ubuntu.com/ubuntu/ trusty-updates universe
> deb-src http://jp.archive.ubuntu.com/ubuntu/ trusty-updates universe
> 
> deb http://jp.archive.ubuntu.com/ubuntu/ trusty multiverse
> deb-src http://jp.archive.ubuntu.com/ubuntu/ trusty multiverse
> deb http://jp.archive.ubuntu.com/ubuntu/ trusty-updates multiverse
> deb-src http://jp.archive.ubuntu.com/ubuntu/ trusty-updates multiverse
> 
> deb http://security.ubuntu.com/ubuntu trusty-security main restricted
> deb-src http://security.ubuntu.com/ubuntu trusty-security main restricted
> deb http://security.ubuntu.com/ubuntu trusty-security universe
> deb-src http://security.ubuntu.com/ubuntu trusty-security universe
> deb http://security.ubuntu.com/ubuntu trusty-security multiverse
> deb-src http://security.ubuntu.com/ubuntu trusty-security multiverse
> 
> ======
> 



ubuntu-jp メーリングリストの案内